Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjml2qdml
Class Qjml2Qdml.SubQjml2Qdml

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
            |
            +--com.jxml.quick.ocm.OCMtranscribe.SubTranscribe
                  |
                  +--com.jxml.quick.util.qjml2qdml.Qjml2Qdml.SubQjml2Qdml

All Implemented Interfaces:
  OCMbase.SubBase, OCMsink.SubSink, OCMsource.SubSource

Enclosing class:
  Qjml2Qdml

public class Qjml2Qdml.SubQjml2Qdml
extends OCMtranscribe.SubTranscribe

Fields inherited from class com.jxml.quick.ocm.OCMtranscribe.SubTranscribe
`outputDoc, properties`

Fields inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`cl, docName, inputDoc, subSource, subValidator`

Constructor Summary
`Qjml2Qdml.SubQjml2Qdml(HashMap prior)`

Method Summary
`QDoc` | `getDoc()` Returns the document.

Methods inherited from class com.jxml.quick.ocm.OCMtranscribe.SubTranscribe
`express, express, getSchemaDoc`

Methods inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`expressFile, getInputDoc, getInputSchemaDoc, getProperties, getSubSource, setDocName, setInputDocName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.ocm.OCMsource.SubSource
`setInputDocName, setProperties`

Constructor Detail

### Qjml2Qdml.SubQjml2Qdml

    public Qjml2Qdml.SubQjml2Qdml(HashMap prior)

Method Detail

### getDoc

    public QDoc getDoc()
                throws SAXException,
                       IOException

  Description copied from interface: `OCMsource.SubSource`
  Returns the document.
  Overrides:
    `getDoc` in class `OCMtranscribe.SubTranscribe`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD